Bug 986498 - [RFE] Import oslo-rootwrap new features to quantum-rootwrap
[RFE] Import oslo-rootwrap new features to quantum-rootwrap
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
4.0
Unspecified Unspecified
medium Severity unspecified
: Upstream M1
: 4.0
Assigned To: Brent Eagles
Rami Vaknin
http://blueprints.launchpad.net/neutr...
: FutureFeature
Depends On:
Blocks: RHOS40RFE
  Show dependency treegraph
 
Reported: 2013-07-19 19:48 EDT by Brent Eagles
Modified: 2016-04-26 10:24 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-neutron-2013.2-0.3.b2.el6ost
Doc Type: Enhancement
Doc Text:
The main rootwrap implementation has been updated with new filtering features. These new features: * permit more maintainable filter rules with less duplication, and * reduce the security risk of invoking commands via rootwrap. This update merges these rootwrap features into the OpenStack Networking service.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:14:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Rami Vaknin 2013-12-17 06:20:10 EST
Could you please elaborate what should be tested here?
Comment 6 Ofer Blaut 2013-12-18 08:16:47 EST
According to openstack wiki  & pads

https://etherpad.openstack.org/p/HavanaRootwrap

there are new filters like IpFilter, IpNetNsExecFilter


They are seen in /usr/share/neutron/rootwrap/dhcp.filters

# ip_lib
ip: IpFilter, ip, root
ip_exec: IpNetnsExecFilter, ip, root


netns is working ,fine not alerts are seen in syslog so it works as expected

openstack-neutron-2013.2-16.el6ost.noarch
Comment 8 errata-xmlrpc 2013-12-19 19:14:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.